> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer trust accounts

> List customer trust accounts with pagination.



## OpenAPI

````yaml /reference/manage-vanta.json get /customer-trust/accounts
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /customer-trust/accounts:
    get:
      tags:
        - Customer Trust
      summary: List customer trust accounts
      description: List customer trust accounts with pagination.
      operationId: ListCustomerTrustAccounts
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - in: query
          name: searchString
          required: false
          schema:
            type: string
        - in: query
          name: isAutoApprovalEnabled
          required: false
          schema:
            type: boolean
        - in: query
          name: customFieldsFilter
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_CustomerTrustAccountVantaApi_
              examples:
                Example 1:
                  value:
                    results:
                      pageInfo:
                        hasNextPage: true
                        hasPreviousPage: false
                        startCursor: cursor1
                        endCursor: cursor2
                      data:
                        - id: 507f1f77bcf86cd799439011
                          name: Acme Corporation
                          emailDomain: acme.com
                          createdDate: '2024-01-01T00:00:00.000Z'
                          updatedDate: '2024-01-02T00:00:00.000Z'
                          ndaDetails:
                            ndaStatus: SIGNED
                            ndaSatisfiedDate: '2024-01-02T00:00:00.000Z'
                          accessConfig:
                            autoApprovalEnabled: false
                            grantAccessOption: INCLUDE_EVERYTHING_REQUESTED
                          customFields:
                            - label: externalId
                              value: '12345'
                          tagsByCategory:
                            - categoryId: 507f1f77bcf86cd799439012
                              tagIds:
                                - 507f1f77bcf86cd799439013
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_CustomerTrustAccountVantaApi_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/CustomerTrustAccountVantaApi'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    CustomerTrustAccountVantaApi:
      description: Vanta API representation of a CustomerTrustAccount.
      properties:
        id:
          type: string
          description: Unique identifier for the account
        name:
          type: string
          description: Name of the account
        emailDomain:
          type: string
          description: Primary email domain associated with the account
        createdDate:
          type: string
          format: date-time
          description: When the account was created
        updatedDate:
          type: string
          format: date-time
          description: When the account was last updated
        ndaDetails:
          $ref: '#/components/schemas/CustomerTrustAccountNDADetails'
          description: NDA configuration for this account
        accessConfig:
          allOf:
            - $ref: '#/components/schemas/CustomerTrustAccountAccessConfig'
          nullable: true
          description: Access configuration for this account
        customFields:
          items:
            $ref: '#/components/schemas/CustomField'
          type: array
          description: Custom field values for this account
        tagsByCategory:
          items:
            $ref: '#/components/schemas/TagsByCategoryOutput'
          type: array
          description: Tags assigned to this account, grouped by category
      required:
        - id
        - name
        - emailDomain
        - createdDate
        - updatedDate
        - ndaDetails
        - accessConfig
        - customFields
        - tagsByCategory
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    CustomerTrustAccountNDADetails:
      properties:
        ndaStatus:
          $ref: '#/components/schemas/CustomerTrustAccountNdaStatus'
          description: The status of the NDA for this account
        ndaSatisfiedDate:
          type: string
          format: date-time
          nullable: true
          description: The date and time the NDA was satisfied
      required:
        - ndaStatus
        - ndaSatisfiedDate
      type: object
      additionalProperties: false
    CustomerTrustAccountAccessConfig:
      properties:
        autoApprovalEnabled:
          type: boolean
          description: >-
            Whether access requests matching this account's email domain should
            be auto-approved
        grantAccessOption:
          allOf:
            - $ref: '#/components/schemas/CustomerTrustAccountGrantAccessOption'
          nullable: true
          description: How to grant resource access for auto-approved requests
      required:
        - autoApprovalEnabled
        - grantAccessOption
      type: object
      additionalProperties: false
    CustomField:
      properties:
        label:
          type: string
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
      required:
        - label
        - value
      type: object
      additionalProperties: false
    TagsByCategoryOutput:
      properties:
        categoryId:
          type: string
          description: The tag category ID
        tagIds:
          items:
            type: string
          type: array
          description: Tag IDs assigned in this category
      required:
        - categoryId
        - tagIds
      type: object
      additionalProperties: false
    CustomerTrustAccountNdaStatus:
      type: string
      enum:
        - SIGNED
        - NOT_REQUIRED
        - INCOMPLETE
    CustomerTrustAccountGrantAccessOption:
      type: string
      enum:
        - INCLUDE_EVERYTHING_REQUESTED
        - INCLUDE_ONLY_CONFIGURED
      description: >-
        How a CustomerTrustAccount determines which resources to grant its
        viewers access to.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````